E-File Magic

Filers

Get multiple filers

Read a batch of filers in request order and identify IDs that were not found.

POST
/api/v1/filers/get_many
Authentication
OAuth 2.0 access token
Required scopes
filers.read
Idempotency key
Not required
Rate-limit cost
1 unit

Request fields

1 fields
filer_idsRequiredarray<string (uuid)>

Filer IDs to read in request order. Minimum items: 1. Maximum items: 100. Items must be unique.

Headers (2)
AuthorizationRequired
OAuth RS256 access token issued for the EFM API resource. Interactive EFM session tokens are rejected.
DPoPConditional / optional
Required when the application, connection, or credential is proof-of-possession bound.

Complete request schema: ApiV1FilerGetManyRequest

Request example

cURL request
curl --request POST 'https://api.efilemagic.com/api/v1/filers/get_many' \
  --header 'Authorization: Bearer <access-token>' \
  --header 'Content-Type: application/json' \
  --data '{"filer_ids":["11111111-1111-4111-8111-111111111111"]}'

Replace placeholders with your own values. Use the API resource origin provided for your environment.